# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /opt/recipe, last modified Tue Apr  4 03:23:51 2023
# ------------------------------------------------

package:
  name: illumina-interop
  version: 1.2.3
source:
  sha256: ce3d277aae05ae5d4e9cfc11605092eec1a389391f44c763fca40f5ba82d6b41
  url: https://github.com/Illumina/interop/archive/v1.2.3.tar.gz
build:
  number: '0'
  string: h87f3376_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_12
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2022.12.7 ha878542_0
    - cmake 3.26.2 h077f3f9_0
    - expat 2.5.0 hcb278e6_1
    - gcc_impl_linux-64 10.4.0 h5231bdf_19
    - gcc_linux-64 10.4.0 h9215b83_12
    - gxx_impl_linux-64 10.4.0 h5231bdf_19
    - gxx_linux-64 10.4.0 h6e491c6_12
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.20.1 h81ceb04_0
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libcurl 7.88.1 hdc1c0ab_1
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hcb278e6_1
    - libgcc-devel_linux-64 10.4.0 hd38fd1e_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnghttp2 1.52.0 h61bc06f_0
    - libsanitizer 10.4.0 h5246dfb_19
    - libssh2 1.10.0 hf14f497_3
    - libstdcxx-devel_linux-64 10.4.0 hd38fd1e_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libuv 1.44.2 h166bdaf_0
    - libzlib 1.2.13 h166bdaf_4
    - make 4.3 hd18ef5c_1
    - ncurses 6.3 h27087fc_1
    - openssl 3.1.0 h0b41bf4_0
    - rhash 1.4.3 h166bdaf_0
    - sysroot_linux-64 2.12 he073ed8_15
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 h166bdaf_4
    - zstd 1.5.2 h3eb15da_6
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libstdcxx-ng 12.2.0 h46fd767_19
  run:
    - libgcc-ng >=12
    - libstdcxx-ng >=12
test:
  commands:
    - interop_dumptext | grep Version > /dev/null
    - interop_imaging_table | grep Version > /dev/null
    - interop_summary | grep Version > /dev/null
    - interop_plot_by_cycle | grep Version > /dev/null
    - interop_plot_by_lane | grep Version > /dev/null
    - interop_plot_flowcell | grep Version > /dev/null
    - interop_plot_qscore_histogram | grep Version > /dev/null
    - interop_plot_qscore_heatmap | grep Version > /dev/null
    - interop_plot_sample_qc | grep Version > /dev/null
    - interop_index-summary | grep Version > /dev/null
    - interop_dumpbin | grep Version > /dev/null
    - interop_aggregate | grep Version > /dev/null
about:
  dev_url: https://github.com/Illumina/interop
  home: http://illumina.github.io/interop/index.html
  license: GPL-3.0-only
  license_family: GPL
  summary: The Illumina InterOp libraries are a set of common routines used for reading
    and writing InterOp metric files. These metric files are binary files produced
    during a run providing detailed statistics about a run. In a few cases, the metric
    files are produced after a run during secondary analysis (index metrics) or for
    faster display of a subset of the original data (collapsed quality scores).
extra:
  copy_test_source_files: true
  final: true
